#include <windows.h>
#include <cpl.h>  
#include "resource.h"

INT APIENTRY LibMain(HANDLE, ULONG, LPVOID);
LONG CALLBACK CPlApplet(HWND, UINT, LPARAM, LPARAM);
LRESULT CALLBACK DlgProc(HWND hWnd, UINT msg, WPARAM wParam, LPARAM lParam);


HINSTANCE hInst;


INT APIENTRY LibMain(HINSTANCE hModule, ULONG ulReason, 
   LPVOID lpReserved)
{
   hInst = hModule;
   return 1;
} 
HANDLE  hinst = NULL;

LONG CALLBACK CPlApplet(HWND hwndCPL,UINT uMsg,LPARAM lParam1,LPARAM lParam2) 
{ 
    int i; 
    LPCPLINFO lpCPlInfo; 
 
    i = (int) lParam1; 
 
    switch (uMsg) { 
        case CPL_INIT:      // first message, sent once 
            hinst = GetModuleHandle("About Arshad.cpl"); 
            return TRUE; 
 
        case CPL_GETCOUNT:  // second message, sent once 
            return 1;
            break; 
 
        case CPL_INQUIRE: // third message, sent once per application 
            lpCPlInfo = (LPCPLINFO) lParam2; 
            lpCPlInfo->lData = 0; 
            lpCPlInfo->idIcon = IDI_ICON1;
            lpCPlInfo->idName = IDS_name;
            lpCPlInfo->idInfo =IDS_dep;
            break; 

        case CPL_DBLCLK:    // application icon double-clicked 
			
			DialogBox((HINSTANCE)hinst, MAKEINTRESOURCE(IDD_DIALOG1),hwndCPL, (DLGPROC)DlgProc);
            
			break; 
 
        case CPL_STOP:      // sent once per application before CPL_EXIT 
            break; 
 
        case CPL_EXIT:    // sent once before FreeLibrary is called 
            break; 

        default: 
            break; 
    } 
    return 0; 
}

LRESULT CALLBACK DlgProc(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{
switch (message)
	{
		case WM_COMMAND:
		{
			if (LOWORD(wParam) == IDC_CL)
				EndDialog(hWnd,1);
		if (LOWORD(wParam) == IDC_WEB)
				ShellExecute(NULL,"open","http://www.geocities.com/arshadlati",NULL,NULL,SW_SHOWNORMAL);

			break;
		}
	case WM_INITDIALOG:
		{
	 HICON hIco=LoadIcon((HINSTANCE)hinst,MAKEINTRESOURCE(IDI_ICON1));
			SendMessage(hWnd,WM_SETICON,ICON_BIG,(LPARAM)hIco);
		return true;	
		}


	case WM_CLOSE:
		{	
			DestroyWindow(hWnd);
			break;
		}
	case WM_DESTROY:
		{
			DestroyWindow(hWnd);
			break;
		}

}
	return FALSE;
}